<!-- HTML header for doxygen 1.8.18-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="generator" content="Doxygen 1.9.1" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>VizBlocks: Button Class Reference</title>
    <link href="tabs.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
     <link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
    <link href="my_customdoxygen.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
    <div id="top">
      <!-- do not remove this div, it is closed by doxygen! -->
      <header id="header" class="desktop">
        <div>
          <div class="inner-header">
            <div class="logotype">
              <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" aria-hidden="true" title="Site home"
                >VizBlocks</a
              >
            </div>
            <div class="navigation">
              <button
                onclick="toggleBurger()"
                type="button"
                aria-label="toggle burger menu"
              >
                <i class="fa fa-bars"></i>
              </button>
              <nav id="menu" class="collapse">
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" class="home">Home</a>
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/about" class="about">About</a>
                <a
                  href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials/0_getting_started.html"
                  class="start"
                  >Get Started</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials" class="tutorials"
                  >Tutorials</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/docs/html" class="docs"
                  >Technical Info</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/contact" class="content">Contact</a>
              </nav>
            </div>
          </div>
        </div>
        <script>
          const toggleBurger = () => {
            const menu = document.getElementById("menu");
            if (menu.className === "collapse") {
              menu.className = "extend";
            } else {
              menu.className = "collapse";
            }
          };
          const touchDevice = "ontouchstart" in document.documentElement;
          if (touchDevice) {
            const header = document.getElementById("header");
            header.className = "mobile";
          }
        </script>
      </header>
      <!-- end header part -->
    </div>
  </body>
</html>
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="class_button-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Button Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Event-driven button class.  
 <a href="class_button.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_button_8h_source.html">Button.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac61739f093022155c9c7c1d281feffdb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_button.html#ac61739f093022155c9c7c1d281feffdb">Button</a> (int pin, int id=99)</td></tr>
<tr class="memdesc:ac61739f093022155c9c7c1d281feffdb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class constructor.  <a href="class_button.html#ac61739f093022155c9c7c1d281feffdb">More...</a><br /></td></tr>
<tr class="separator:ac61739f093022155c9c7c1d281feffdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bd4f650e382a7a5501a12dfb7a6b714"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_button.html#a4bd4f650e382a7a5501a12dfb7a6b714">check</a> ()</td></tr>
<tr class="memdesc:a4bd4f650e382a7a5501a12dfb7a6b714"><td class="mdescLeft">&#160;</td><td class="mdescRight">Polls the button's _inputFlag and detects events. This should be called in the sketch's loop() function.  <a href="class_button.html#a4bd4f650e382a7a5501a12dfb7a6b714">More...</a><br /></td></tr>
<tr class="separator:a4bd4f650e382a7a5501a12dfb7a6b714"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accfe0a939a17dd9426a4c61323c32e7f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_button.html#accfe0a939a17dd9426a4c61323c32e7f">getClickInterval</a> ()</td></tr>
<tr class="memdesc:accfe0a939a17dd9426a4c61323c32e7f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns button's click interval.  <a href="class_button.html#accfe0a939a17dd9426a4c61323c32e7f">More...</a><br /></td></tr>
<tr class="separator:accfe0a939a17dd9426a4c61323c32e7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9782adb68590b975c4c7473b1c2716d4"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_button.html#a9782adb68590b975c4c7473b1c2716d4">getHoldInterval</a> ()</td></tr>
<tr class="memdesc:a9782adb68590b975c4c7473b1c2716d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns button's hold interval.  <a href="class_button.html#a9782adb68590b975c4c7473b1c2716d4">More...</a><br /></td></tr>
<tr class="separator:a9782adb68590b975c4c7473b1c2716d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b024eb643308f2cfa8d13cd93c6b1ca"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_button.html#a0b024eb643308f2cfa8d13cd93c6b1ca">getId</a> ()</td></tr>
<tr class="memdesc:a0b024eb643308f2cfa8d13cd93c6b1ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the button ID.  <a href="class_button.html#a0b024eb643308f2cfa8d13cd93c6b1ca">More...</a><br /></td></tr>
<tr class="separator:a0b024eb643308f2cfa8d13cd93c6b1ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff7b7fc611d3f412c91aea2082a9b48d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_button.html#aff7b7fc611d3f412c91aea2082a9b48d">getRepeatInterval</a> ()</td></tr>
<tr class="memdesc:aff7b7fc611d3f412c91aea2082a9b48d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns button's tick interval.  <a href="class_button.html#aff7b7fc611d3f412c91aea2082a9b48d">More...</a><br /></td></tr>
<tr class="separator:aff7b7fc611d3f412c91aea2082a9b48d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a946d9bb84880931ccf3494d84f0ac73a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_button.html#a946d9bb84880931ccf3494d84f0ac73a">getState</a> ()</td></tr>
<tr class="memdesc:a946d9bb84880931ccf3494d84f0ac73a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the current button state.  <a href="class_button.html#a946d9bb84880931ccf3494d84f0ac73a">More...</a><br /></td></tr>
<tr class="separator:a946d9bb84880931ccf3494d84f0ac73a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fc0f6d87068ccd44e07b1d764eddf3f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_button.html#a8fc0f6d87068ccd44e07b1d764eddf3f">initInterrupts</a> (void(*function)())</td></tr>
<tr class="memdesc:a8fc0f6d87068ccd44e07b1d764eddf3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the function to be called when a pin interrupt occurs. Ideally this wouldn't be needed and the pin interrupt would just call <a class="el" href="class_button.html#aa5151d4e678a588275cfe773337435af" title="Raises the button&#39;s _inputFlag. This should be wrapped in a function in the global scope and fed into...">Button::tick()</a>, but only static member functions can be used as callbacks for pin interrupts, so a wrapper function has to be written in the global scope and passed back into the button object.  <a href="class_button.html#a8fc0f6d87068ccd44e07b1d764eddf3f">More...</a><br /></td></tr>
<tr class="separator:a8fc0f6d87068ccd44e07b1d764eddf3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94e66e570b29f34aeb0680b7c657265d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_button.html#a94e66e570b29f34aeb0680b7c657265d">setEventHandler</a> (void(*function)(<a class="el" href="class_button.html">Button</a> *, uint8_t, bool))</td></tr>
<tr class="memdesc:a94e66e570b29f34aeb0680b7c657265d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the function that is called any time a button event is detected. Some example callback functions can be found in the InputNode example.  <a href="class_button.html#a94e66e570b29f34aeb0680b7c657265d">More...</a><br /></td></tr>
<tr class="separator:a94e66e570b29f34aeb0680b7c657265d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5151d4e678a588275cfe773337435af"><td class="memItemLeft" align="right" valign="top">void ICACHE_RAM_ATTR&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_button.html#aa5151d4e678a588275cfe773337435af">tick</a> ()</td></tr>
<tr class="memdesc:aa5151d4e678a588275cfe773337435af"><td class="mdescLeft">&#160;</td><td class="mdescRight">Raises the button's _inputFlag. This should be wrapped in a function in the global scope and fed into <a class="el" href="class_button.html#a8fc0f6d87068ccd44e07b1d764eddf3f" title="Set the function to be called when a pin interrupt occurs. Ideally this wouldn&#39;t be needed and the pi...">Button::initInterrupts()</a>  <a href="class_button.html#aa5151d4e678a588275cfe773337435af">More...</a><br /></td></tr>
<tr class="separator:aa5151d4e678a588275cfe773337435af"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a41963b0ccc28009de8a46c52cad5b9b4"><td class="memItemLeft" align="right" valign="top">static const uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_button.html#a41963b0ccc28009de8a46c52cad5b9b4">kEventClicked</a> = 2</td></tr>
<tr class="memdesc:a41963b0ccc28009de8a46c52cad5b9b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Event ID for button click (pressed and released within <code>_clickInterval</code>).  <a href="class_button.html#a41963b0ccc28009de8a46c52cad5b9b4">More...</a><br /></td></tr>
<tr class="separator:a41963b0ccc28009de8a46c52cad5b9b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a919fb4da7e37b23eaeb08b6194b2338c"><td class="memItemLeft" align="right" valign="top">static const uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_button.html#a919fb4da7e37b23eaeb08b6194b2338c">kEventHeld</a> = 3</td></tr>
<tr class="memdesc:a919fb4da7e37b23eaeb08b6194b2338c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Event ID for button hold (held down for longer than <code>_holdInterval</code>).  <a href="class_button.html#a919fb4da7e37b23eaeb08b6194b2338c">More...</a><br /></td></tr>
<tr class="separator:a919fb4da7e37b23eaeb08b6194b2338c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeff212895aef4677c616d34494220e14"><td class="memItemLeft" align="right" valign="top">static const uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_button.html#aeff212895aef4677c616d34494220e14">kEventPressed</a> = 0</td></tr>
<tr class="memdesc:aeff212895aef4677c616d34494220e14"><td class="mdescLeft">&#160;</td><td class="mdescRight">Event ID for button press.  <a href="class_button.html#aeff212895aef4677c616d34494220e14">More...</a><br /></td></tr>
<tr class="separator:aeff212895aef4677c616d34494220e14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c1101a90c59dd34cb05a6cdf94edaff"><td class="memItemLeft" align="right" valign="top">static const uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_button.html#a0c1101a90c59dd34cb05a6cdf94edaff">kEventReleased</a> = 1</td></tr>
<tr class="memdesc:a0c1101a90c59dd34cb05a6cdf94edaff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Event ID for button release.  <a href="class_button.html#a0c1101a90c59dd34cb05a6cdf94edaff">More...</a><br /></td></tr>
<tr class="separator:a0c1101a90c59dd34cb05a6cdf94edaff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0815fb27da6cee2d24f53f26155d0031"><td class="memItemLeft" align="right" valign="top">static const uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_button.html#a0815fb27da6cee2d24f53f26155d0031">kEventTick</a> = 4</td></tr>
<tr class="memdesc:a0815fb27da6cee2d24f53f26155d0031"><td class="mdescLeft">&#160;</td><td class="mdescRight">Event ID for button tick (released every <code>_repeatInterval</code> when button held).  <a href="class_button.html#a0815fb27da6cee2d24f53f26155d0031">More...</a><br /></td></tr>
<tr class="separator:a0815fb27da6cee2d24f53f26155d0031"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Event-driven button class. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac61739f093022155c9c7c1d281feffdb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac61739f093022155c9c7c1d281feffdb">&#9670;&nbsp;</a></span>Button()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Button::Button </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>pin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>id</em> = <code>99</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Class constructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a4bd4f650e382a7a5501a12dfb7a6b714"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bd4f650e382a7a5501a12dfb7a6b714">&#9670;&nbsp;</a></span>check()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Button::check </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Polls the button's _inputFlag and detects events. This should be called in the sketch's loop() function. </p>

</div>
</div>
<a id="accfe0a939a17dd9426a4c61323c32e7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accfe0a939a17dd9426a4c61323c32e7f">&#9670;&nbsp;</a></span>getClickInterval()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Button::getClickInterval </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns button's click interval. </p>

</div>
</div>
<a id="a9782adb68590b975c4c7473b1c2716d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9782adb68590b975c4c7473b1c2716d4">&#9670;&nbsp;</a></span>getHoldInterval()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Button::getHoldInterval </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns button's hold interval. </p>

</div>
</div>
<a id="a0b024eb643308f2cfa8d13cd93c6b1ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b024eb643308f2cfa8d13cd93c6b1ca">&#9670;&nbsp;</a></span>getId()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Button::getId </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the button ID. </p>

</div>
</div>
<a id="aff7b7fc611d3f412c91aea2082a9b48d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff7b7fc611d3f412c91aea2082a9b48d">&#9670;&nbsp;</a></span>getRepeatInterval()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Button::getRepeatInterval </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns button's tick interval. </p>

</div>
</div>
<a id="a946d9bb84880931ccf3494d84f0ac73a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a946d9bb84880931ccf3494d84f0ac73a">&#9670;&nbsp;</a></span>getState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Button::getState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the current button state. </p>

</div>
</div>
<a id="a8fc0f6d87068ccd44e07b1d764eddf3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fc0f6d87068ccd44e07b1d764eddf3f">&#9670;&nbsp;</a></span>initInterrupts()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Button::initInterrupts </td>
          <td>(</td>
          <td class="paramtype">void(*)()&#160;</td>
          <td class="paramname"><em>function</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the function to be called when a pin interrupt occurs. Ideally this wouldn't be needed and the pin interrupt would just call <a class="el" href="class_button.html#aa5151d4e678a588275cfe773337435af" title="Raises the button&#39;s _inputFlag. This should be wrapped in a function in the global scope and fed into...">Button::tick()</a>, but only static member functions can be used as callbacks for pin interrupts, so a wrapper function has to be written in the global scope and passed back into the button object. </p>

</div>
</div>
<a id="a94e66e570b29f34aeb0680b7c657265d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94e66e570b29f34aeb0680b7c657265d">&#9670;&nbsp;</a></span>setEventHandler()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Button::setEventHandler </td>
          <td>(</td>
          <td class="paramtype">void(*)(<a class="el" href="class_button.html">Button</a> *, uint8_t, bool)&#160;</td>
          <td class="paramname"><em>function</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the function that is called any time a button event is detected. Some example callback functions can be found in the InputNode example. </p>

</div>
</div>
<a id="aa5151d4e678a588275cfe773337435af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5151d4e678a588275cfe773337435af">&#9670;&nbsp;</a></span>tick()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ICACHE_RAM_ATTR Button::tick </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Raises the button's _inputFlag. This should be wrapped in a function in the global scope and fed into <a class="el" href="class_button.html#a8fc0f6d87068ccd44e07b1d764eddf3f" title="Set the function to be called when a pin interrupt occurs. Ideally this wouldn&#39;t be needed and the pi...">Button::initInterrupts()</a> </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a41963b0ccc28009de8a46c52cad5b9b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41963b0ccc28009de8a46c52cad5b9b4">&#9670;&nbsp;</a></span>kEventClicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const uint8_t Button::kEventClicked = 2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Event ID for button click (pressed and released within <code>_clickInterval</code>). </p>

</div>
</div>
<a id="a919fb4da7e37b23eaeb08b6194b2338c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a919fb4da7e37b23eaeb08b6194b2338c">&#9670;&nbsp;</a></span>kEventHeld</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const uint8_t Button::kEventHeld = 3</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Event ID for button hold (held down for longer than <code>_holdInterval</code>). </p>

</div>
</div>
<a id="aeff212895aef4677c616d34494220e14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeff212895aef4677c616d34494220e14">&#9670;&nbsp;</a></span>kEventPressed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const uint8_t Button::kEventPressed = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Event ID for button press. </p>

</div>
</div>
<a id="a0c1101a90c59dd34cb05a6cdf94edaff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c1101a90c59dd34cb05a6cdf94edaff">&#9670;&nbsp;</a></span>kEventReleased</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const uint8_t Button::kEventReleased = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Event ID for button release. </p>

</div>
</div>
<a id="a0815fb27da6cee2d24f53f26155d0031"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0815fb27da6cee2d24f53f26155d0031">&#9670;&nbsp;</a></span>kEventTick</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const uint8_t Button::kEventTick = 4</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Event ID for button tick (released every <code>_repeatInterval</code> when button held). </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/<a class="el" href="_button_8h_source.html">Button.h</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.18-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.9.1
</small></address>
</body>
</html>
